description: Keras metrics in TF-Ranking.

<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfr.keras.metrics" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfr.keras.metrics

<!-- Insert buttons and diff -->

<table class="tfo-notebook-buttons tfo-api nocontent" align="left">
<td>
  <a target="_blank" href="https://github.com/tensorflow/ranking/tree/master/tensorflow_ranking/python/keras/metrics.py">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td>
</table>

Keras metrics in TF-Ranking.

## Classes

[`class ARPMetric`](../../tfr/keras/metrics/ARPMetric.md): Implements average
relevance position (ARP).

[`class AlphaDCGMetric`](../../tfr/keras/metrics/AlphaDCGMetric.md): Implements
alpha discounted cumulative gain (alphaDCG).

[`class DCGMetric`](../../tfr/keras/metrics/DCGMetric.md): Implements discounted
cumulative gain (DCG).

[`class MRRMetric`](../../tfr/keras/metrics/MRRMetric.md): Implements mean
reciprocal rank (MRR).

[`class MeanAveragePrecisionMetric`](../../tfr/keras/metrics/MeanAveragePrecisionMetric.md):
Implements mean average precision (MAP).

[`class NDCGMetric`](../../tfr/keras/metrics/NDCGMetric.md): Implements
normalized discounted cumulative gain (NDCG).

[`class OPAMetric`](../../tfr/keras/metrics/OPAMetric.md): Implements ordered
pair accuracy (OPA).

[`class PrecisionIAMetric`](../../tfr/keras/metrics/PrecisionIAMetric.md):
Implements PrecisionIA@k (Pre-IA@k).

[`class PrecisionMetric`](../../tfr/keras/metrics/PrecisionMetric.md):
Implements precision@k (P@k).

[`class RankingMetricKey`](../../tfr/keras/metrics/RankingMetricKey.md): Ranking
metric key strings.

[`class RecallMetric`](../../tfr/keras/metrics/RecallMetric.md): Implements
recall@k.

## Functions

[`default_keras_metrics(...)`](../../tfr/keras/metrics/default_keras_metrics.md):
Returns a list of ranking metrics.

[`get(...)`](../../tfr/keras/metrics/get.md): Factory method to get a list of
ranking metrics.
